Subject: Re: bug#68930: 30.0.50; Emacs conflates C-Ω andC-ω

From: Po Lu <[email-masked]>
Date: Thu, 08 Feb 2024 20:38:12 +0800

Please do not omit the bug tracker from the carbon copy lists of
replies, or they will not be recorded by the bug tracker.

Alexander Prähauser <[email-masked]> writes:

> "Po Lu" <[email-masked]> writes:
>
>> Alexander Prähauser <[email-masked]> writes:
>>
>>> Alright, I re-downloaded Emacs and tried to apply the patch again and
>>> this time it worked. No idea why it didn't before, I had downloaded it
>>> on Monday, I think. Maybe the changes had been too big in-between?
>>
>> No, xterm.c hasn't seen any substantial modifications for months.
>>
>>> Regardless, I should not have doubted your coding abilities. But when I
>>> start Emacs with the patch and type the key combinations, I don't get
>>> any special output, either in the message buffer or in the containing
>>> terminal.
>>
>> Please start Emacs with the following options:
>>
>>   ./emacs -q -xrm 'Emacs.useXIM: off'
>>
>> and tell us if the problem remains.  Thanks.
>
> It works! And just to be sure I tried again without an init and with the
> exact same keybinds but without the last option, and sure enough it
> switched them up again.

As such, it's your X input method that's alternating between the
upper-case and lower-case forms of certain Greek characters, which is
not in our bailiwick.  Please identify the input method enabled on your
system, so that we can place a meaningful description in PROBLEMS; in
the meantime, insert:

  Emacs.useXIM: off

into your ~/.Xresources or ~/.Xdefaults to install the change
permanently, then type:

  xrdb -merge ~/.Xresources

and I'm closing this bug.  Thanks.